

{% set user_is_editor = form.edit_mode['editor_id'] == current_user.id %}

<div class="modal fade" id="edit-mode-modal-{{form.id}}" tabindex="-1" aria-labelledby="edit-mode-modal-label-{{form.id}}" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="edit-mode-modal-label-{{form.id}}">{{ _("Edition mode") }}</h5>
        <button type="button" data-bs-dismiss="modal" aria-label="Close">
          <svg xmlns="http://www.w3.org/2000/svg" width="32" height="32" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1" stroke-linecap="round" stroke-linejoin="round" class="feather feather-x" aria-hidden="true"><line x1="18" y1="6" x2="6" y2="18"></line><line x1="6" y1="6" x2="18" y2="18"></line></svg>
        </button>
      </div>
      <div class="modal-body">

        {% set form_name = '<a href="%s">%s</a>' % (url_for('form_bp.form_details', form_id=form.id), form.name) %}
        {% set other_editors_count = form.get_editors().count()-1 %}
        {% if other_editors_count > 0 %}
        <p>{{ ngettext("Your form %(form_name)s is shared with one person.",
                       "Your form %(form_name)s is shared with %(people_count)s other people.",
                       other_editors_count,
                       form_name=form_name|safe,
                       people_count=other_editors_count) }}
        </p>
        {% endif %}

        {% if user_is_editor %}
          {% if other_editors_count == 0 %}
          <p>{{ _("You started editing %(form_name)s about %(duration)s ago.",
                  form_name=form_name|safe,
                  duration=duration) }}
          </p>
          {% else %}
          <p>{{ _("You started editing about %(duration)s ago.", duration=duration) }}</p>
          {% endif %}
        {% else %}
          <p>{{ _("%(email)s started editing about %(time_duration)s ago.",
                  email=form.edit_mode['editor_email'],
                  time_duration=duration) }}
          </p>
          <p class="mt-3"><strong>{{ _("You can:") }}</strong></p>
          <ul>
            <li>{{ _("Wait until they have finished") }}</li>
            <li>{{ _("Cancel their edition (changes will be lost)") }}</li>
          </ul>
        {% endif %}

        {% if form.enabled %}
        <p>{{ _("Meanwhile, the form is not public.") }}</p>
        {% else %}
        <p>{{ _("Meanwhile, the form cannot be made public.") }}</p>
        {% endif %}
      </div>
      <div class="modal-footer">
        <form action="{{url_for('form_bp.cancel_edition', form_id=form.id, killed=True|int)}}" method="POST">
          <input type="hidden" name="csrf_token" value="{{ csrf_token() }}" />
          {% if user_is_editor %}
          <button type="submit" class="btn btn-primary">{{ _("Cancel edition") }}</button>
          {% else %}
          <button type="submit" class="btn btn-danger">{{ _("Cancel their edition") }}</button>
          {% endif %}
        </form>
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">{{ _("Close") }}</button>
      </div>
    </div>
  </div>
</div>
